<div class="modal is-active">

  <div class="modal-background" (click)="hideExportToHtmlModal()"></div>

  <div class="modal-card">

    <header class="modal-card-head has-background-primary">
      <p class="modal-card-title" style="color: white">Export to HTML</p>
      <button class="delete" aria-label="close" (click)="hideExportToHtmlModal()"></button>
    </header>

    <section class="modal-card-body">
      <div class="row">
        <div class="column">
          <div class="has-text-centered"><p class="has-text-primary"><b>Modules :</b></p></div>
          <div *ngFor="let module of localyEnabledModules" [title]="module.module.name"
               style="overflow-x: hidden; white-space: nowrap; text-overflow: ellipsis">
            <input *ngIf="module.localyEnabled" type="checkbox" [id]="module.module.name"
                   (click)="changeModulesSelected(module.module.name)" checked>
            <input *ngIf="!module.localyEnabled" type="checkbox" [id]="module.module.name"
                   (click)="changeModulesSelected(module.module.name)">
            <label [for]="module.module.name"> {{module.module.name}}</label><br>
          </div>
        </div>
        <div class="column">
          <div class="has-text-centered"><p class="has-text-primary"><b>Branches :</b></p></div>
          <div *ngIf="loadingBranches; else loadingBloc">
            <div *ngFor="let branch of branches" [title]="branch"
                 style="overflow-x: hidden; white-space: nowrap; text-overflow: ellipsis">
              <input *ngIf="branch == branchSelected" type="checkbox" [id]="branch"
                     (click)="changeBranchesSelected(branch)" checked>
              <input *ngIf="branch != branchSelected" type="checkbox" [id]="branch"
                     (click)="changeBranchesSelected(branch)">
              <label [for]="branch"> {{branch}}</label><br>
            </div>
          </div>
        </div>
        <div class="column">
          <div class="has-text-centered"><p class="has-text-primary"><b>Dates :</b></p></div>
          <div><p><b>From :</b></p></div>
          <input type="date" [value]="sinceDateSelectedConverted" (change)="onSubmitSince($event)">
          <div><p><b>Until :</b></p></div>
          <input type="date" [value]="untilDateSelectedConverted" (change)="onSubmitUntil($event)">
        </div>
      </div>
    </section>

    <footer class="modal-card-foot">
      <button class="button" (click)="hideExportToHtmlModal()">Cancel</button>
      <div class="blank"></div>
      <button class="button is-white is-outlined has-background-primary" (click)="export()">Export</button>
    </footer>

  </div>

  <ng-template #loadingBloc>
    <a class="button is-primary is-outlined is-loading is-large is-fullwidth"></a>
  </ng-template>

</div>
